> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get sessions for user

> GET /public/v2/foreman-session



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID



### Query parameters

- **agentType** (string)

- **maxResults** (integer(int32))



## Responses
### 200
OK

#### Body: */* (array[object])
- **id** (string(uuid))

- **lastModified** (string(date-time))

- **projectId** (integer(int64))

- **subject** (string)

- **agentType** (string)

- **modelId** (integer(int64))

- **archived** (boolean)

- **scenarioId** (integer(int64))



[Powered by Bump.sh](https://bump.sh)
